package com.bocloud.ims.entity.resource;

import com.alibaba.fastjson.JSONArray;
import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.IgnoreAll;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.GenericEntity;
import com.bocloud.entity.meta.PKStrategy;

import java.util.List;

@Table("sangfor_communication")
public class SangforCommunication extends GenericEntity {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("ifaces")
    private String ifaces;
    @Column("interface_id")
    private String interfaceId;
    @Column("ip")
    private String ip;
    @Column("netmask")
    private String netmask;
    @Column("vendor_id")
    private Long vendorId;

    @Column("speed")
    private String speed;

    @Column("node_members")
    private String nodeMembers;
    @Column("node_name")
    private String node_name;
    @Column("node_id")
    private String node_id;
    @Column("gateway")
    private String gateway;
    @Column("driver_type")
    private String driverType;
    @Column("enable")
    private Boolean enable;
    @Column("primarys")
    private String primarys;
    @Column("node_status")
    private Boolean node_status;
    @Column("member")
    private String member;
    @Column("host_alias")
    private String host_alias;
    @Column("host_ip")
    private String host_ip;
    @Column("subdatas")
    private String subdatas;
    @Column("bdr_switch")
    private String bdr_switch;
    @Column("custom_id")
    private Long customId;
    @Column("mtu")
    private String mtu;


    @IgnoreAll
    private JSONArray members;
    @IgnoreAll
    private JSONArray role;
    @IgnoreAll
    private List<Commt> primary;
    @IgnoreAll
    private List<SangforCommunication> subdata;
    @IgnoreAll
    private String bdrSwitch;

    public String getMtu() {
        return mtu;
    }

    public void setMtu(String mtu) {
        this.mtu = mtu;
    }

    public Long getCustomId() {
        return customId;
    }

    public void setCustomId(Long customId) {
        this.customId = customId;
    }

    public String getBdr_switch() {
        return bdr_switch;
    }

    public void setBdr_switch(String bdr_switch) {
        this.bdr_switch = bdr_switch;
    }

    public String getBdrSwitch() {
        return bdrSwitch;
    }

    public void setBdrSwitch(String bdrSwitch) {
        this.bdrSwitch = bdrSwitch;
    }

    public Boolean getNode_status() {
        return node_status;
    }

    public void setNode_status(Boolean node_status) {
        this.node_status = node_status;
    }

    public String getMember() {
        return member;
    }

    public void setMember(String member) {
        this.member = member;
    }

    public String getHost_alias() {
        return host_alias;
    }

    public void setHost_alias(String host_alias) {
        this.host_alias = host_alias;
    }

    public String getHost_ip() {
        return host_ip;
    }

    public void setHost_ip(String host_ip) {
        this.host_ip = host_ip;
    }

    public JSONArray getRole() {
        return role;
    }

    public String getSubdatas() {
        return subdatas;
    }

    public void setSubdatas(String subdatas) {
        this.subdatas = subdatas;
    }

    public List<SangforCommunication> getSubdata() {
        return subdata;
    }

    public void setSubdata(List<SangforCommunication> subdata) {
        this.subdata = subdata;
    }

    public void setRole(JSONArray role) {
        this.role = role;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getNodeMembers() {
        return nodeMembers;
    }

    public void setNodeMembers(String nodeMembers) {
        this.nodeMembers = nodeMembers;
    }

    public String getNode_name() {
        return node_name;
    }

    public void setNode_name(String node_name) {
        this.node_name = node_name;
    }

    public String getNode_id() {
        return node_id;
    }

    public void setNode_id(String node_id) {
        this.node_id = node_id;
    }

    public String getGateway() {
        return gateway;
    }

    public void setGateway(String gateway) {
        this.gateway = gateway;
    }

    public String getDriverType() {
        return driverType;
    }

    public void setDriverType(String driverType) {
        this.driverType = driverType;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

    public String getPrimarys() {
        return primarys;
    }

    public void setPrimarys(String primarys) {
        this.primarys = primarys;
    }

    public JSONArray getMembers() {
        return members;
    }

    public void setMembers(JSONArray members) {
        this.members = members;
    }

    public List<Commt> getPrimary() {
        return primary;
    }

    public void setPrimary(List<Commt> primary) {
        this.primary = primary;
    }

    public String getInterfaceId() {
        return interfaceId;
    }

    public void setInterfaceId(String interfaceId) {
        this.interfaceId = interfaceId;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIfaces() {
        return ifaces;
    }

    public void setIfaces(String ifaces) {
        this.ifaces = ifaces;
    }

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public String getNetmask() {
        return netmask;
    }

    public void setNetmask(String netmask) {
        this.netmask = netmask;
    }
}
